commit 896b2850103326a9f9c05f08cd5d0d0c09869ebd
Author: Iustin Pop <iustin@google.com>
Date:   Mon Mar 19 11:04:56 2012 +0100

    Rename htools-hpc to hpc-tools to fix laziness
    
    This is a stupid/trivial patch. I didn't realise when adding
    htools-hpc that this will "break" tab completion on htools; as in, I
    will have to add / manually always when completing files on the
    command line.
    
    So to fix my laziness, let's rename htools-hpc to hpc-htools,
    eliminating this completion conflict.
    
    Signed-off-by: Iustin Pop <iustin@google.com>
    Reviewed-by: René Nussbaumer <rn@google.com>

diff --git a/.gitignore b/.gitignore
index 3885108..13ce302 100644
--- a/.gitignore
+++ b/.gitignore
@@ -102,7 +102,7 @@
 
 /htools/htools
 /htools/hconfd
-/htools/htools-hpc
+/htools/hpc-htools
 /htools/test
 /htools/*.prof*
 /htools/*.stat
diff --git a/Makefile.am b/Makefile.am
index 0298f21..4622403 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -356,7 +356,7 @@ docrst = \
 HS_PROGS = htools/htools htools/hconfd
 HS_BIN_ROLES = hbal hscan hspace hinfo
 
-HS_ALL_PROGS = $(HS_PROGS) htools/test htools/htools-hpc
+HS_ALL_PROGS = $(HS_PROGS) htools/test htools/hpc-htools
 HS_PROG_SRCS = $(patsubst %,%.hs,$(HS_ALL_PROGS))
 # we don't add -Werror by default
 HFLAGS = -O -Wall -fwarn-monomorphism-restriction -fwarn-tabs -ihtools
@@ -540,11 +540,11 @@ htools/test: HEXTRA_INT=-fhpc -Wwarn -fno-warn-missing-signatures \
 	-fno-warn-monomorphism-restriction -fno-warn-orphans \
 	-fno-warn-missing-methods -fno-warn-unused-imports
 
-# we compile the htools-hpc binary with the program coverage
-htools/htools-hpc: HEXTRA_INT=-fhpc
+# we compile the hpc-htools binary with the program coverage
+htools/hpc-htools: HEXTRA_INT=-fhpc
 
 # test dependency
-htools/offline-tests.sh: htools/htools-hpc
+htools/offline-tests.sh: htools/hpc-htools
 
 # rules for building profiling-enabled versions of the haskell
 # programs: hs-prof does the full two-step build, whereas
@@ -839,7 +839,7 @@ check_SCRIPTS =
 if WANT_HTOOLSTESTS
 nodist_TESTS += $(haskell_tests)
 dist_TESTS += htools/offline-test.sh
-check_SCRIPTS += htools/htools-hpc
+check_SCRIPTS += htools/hpc-htools
 endif
 
 TESTS = $(dist_TESTS) $(nodist_TESTS)
@@ -1236,10 +1236,10 @@ check-local: check-dirs $(BUILT_SOURCES)
 	done
 
 .PHONY: hs-check
-hs-check: htools/test htools/htools-hpc
+hs-check: htools/test htools/hpc-htools
 	@rm -f test.tix
 	./htools/test
-	HBINARY="./htools/htools-hpc" ./htools/offline-test.sh
+	HBINARY="./htools/hpc-htools" ./htools/offline-test.sh
 
 # E111: indentation is not a multiple of four
 # E261: at least two spaces before inline comment
@@ -1404,12 +1404,12 @@ py-coverage: $(BUILT_SOURCES) $(python_tests)
 	$(python_tests)
 
 .PHONY: hs-coverage
-hs-coverage: $(haskell_tests) htools/htools-hpc
+hs-coverage: $(haskell_tests) htools/hpc-htools
 	rm -f *.tix && $(MAKE) hs-check
 	@mkdir_p@ $(COVERAGE_HS_DIR)
-	hpc combine $(HPCEXCL) test.tix htools-hpc.tix > htools-coverage.tix
-	hpc markup --destdir=$(COVERAGE_HS_DIR) htools-coverage.tix
-	hpc report htools-coverage.tix
+	hpc combine $(HPCEXCL) test.tix hpc-htools.tix > coverage-htools.tix
+	hpc markup --destdir=$(COVERAGE_HS_DIR) coverage-htools.tix
+	hpc report coverage-htools.tix
 	$(LN_S) -f hpc_index.html $(COVERAGE_HS_DIR)/index.html
 
 # Special "kind-of-QA" target for htools, needs special setup (all
diff --git a/autotools/run-in-tempdir b/autotools/run-in-tempdir
index b9be390..6e0b758 100755
--- a/autotools/run-in-tempdir
+++ b/autotools/run-in-tempdir
@@ -12,7 +12,7 @@ cp -r autotools daemons scripts lib tools test $tmpdir
 mv $tmpdir/lib $tmpdir/ganeti
 ln -T -s $tmpdir/ganeti $tmpdir/lib
 mkdir -p $tmpdir/htools
-for htest in htools htools-hpc test offline-test.sh cli-tests-defs.sh; do
+for htest in htools hpc-htools test offline-test.sh cli-tests-defs.sh; do
   if [ -e htools/$htest ]; then
     cp -p htools/$htest $tmpdir/htools/
   fi
diff --git a/htools/cli-tests-defs.sh b/htools/cli-tests-defs.sh
index 00a064e..069b1a3 100644
--- a/htools/cli-tests-defs.sh
+++ b/htools/cli-tests-defs.sh
@@ -19,7 +19,7 @@
 
 # This is an shell testing configuration fragment.
 
-HBINARY=${HBINARY:-./htools/htools-hpc}
+HBINARY=${HBINARY:-./htools/hpc-htools}
 
 TESTDATA_DIR=${TOP_SRCDIR:-.}/test/data/htools
 
diff --git a/htools/hpc-htools.hs b/htools/hpc-htools.hs
new file mode 120000
index 0000000..487efdc
--- /dev/null
+++ b/htools/hpc-htools.hs
@@ -0,0 +1 @@
+htools.hs
\ No newline at end of file
diff --git a/htools/htools-hpc.hs b/htools/htools-hpc.hs
deleted file mode 120000
index 487efdc..0000000
--- a/htools/htools-hpc.hs
+++ /dev/null
@@ -1 +0,0 @@
-htools.hs
\ No newline at end of file
